%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# -- header -----------------------------------------------------------------------

Name:           rh-rhui-tools
Version:        2.1.10
Release:        1%{?dist}
Summary:        Tools for installing and configuring the Red Hat Update Infrastructure

Group:          Applications/Internet
License:        GPLv2
URL:            http://redhat.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-setuptools
Requires:       python >= 2.6
Requires:       rpm-build
Requires:       pulp-consumer
Requires:       m2crypto
Requires:       openssl
Requires:       nss-tools


%description
Tools necessary to configure the Red Hat Update Infrastructure.


%prep
%setup -q -n rh-rhui-tools-%{version}

# -- build -----------------------------------------------------------------------

%build
pushd src
%{__python} setup.py build
popd

# -- install ---------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# Python setup
pushd src
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd
rm -f $RPM_BUILD_ROOT%{python_sitelib}/rhui*egg-info/requires.txt

# Configuration files
mkdir -p $RPM_BUILD_ROOT/etc/rhui
cp -R etc/rhui/* $RPM_BUILD_ROOT/etc/rhui

# Certificate storage location
mkdir -p $RPM_BUILD_ROOT/etc/pki/rhui
mkdir -p $RPM_BUILD_ROOT/etc/pki/rhui/redhat

# Sample Puppet module
mkdir -p %{buildroot}%{_datadir}/rh-rhua/
cp -R puppet %{buildroot}%{_datadir}/rh-rhua/

# rhui-debug.py script for sosreport
cp scripts/rhui-debug.py %{buildroot}%{_datadir}/rh-rhua/rhui-debug.py

# -- post -------------------------------------------------------------------
%post
if grep "ssl_ca_cert" /etc/rhui/rhui-tools.conf
 then
  true
 else
  cp /etc/rhui/rhui-tools.conf /etc/rhui/rhui-tools.conf.rpmsave
  sed -n  'H;${x;s/hostname: .*\n/ssl_ca_cert: \/etc\/pki\/rhua\/rhua-ssl-ca-cert.crt\n&/;p;}' /etc/rhui/rhui-tools.conf > /etc/rhui/rhui-tools.conf.new
  mv /etc/rhui/rhui-tools.conf.new /etc/rhui/rhui-tools.conf
fi

# -- clean -----------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -- files -----------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhui/*
%{python_sitelib}/rhui*.egg-info
%{_bindir}/rhui-manager
%{_bindir}/rhui-installer
%{_bindir}/nss-db-gen
%config /etc/rhui/answers.sample
%config(noreplace) /etc/rhui/rhui-tools.conf
%config /etc/rhui/rhui_configurator.py*
%config /etc/rhui/cdn.redhat.com-chain.crt
%config /etc/rhui/client-yum-plugin/rhui-lb.conf
%config /etc/rhui/client-yum-plugin/rhui-lb.py*
%config /etc/rhui/templates/rh-client-config.spec
%config /etc/rhui/templates/rh-rhua-config.spec
%config /etc/rhui/templates/rh-cds-config.spec
%config /etc/rhui/templates/client-repo-template.repo
%config /etc/pki/rhui
%config /etc/pki/rhui/redhat
%{_datadir}/rh-rhua/puppet/*
%{_datadir}/rh-rhua/rhui-debug.py*

# -- changelog -------------------------------------------------------------------

%changelog
* Wed Aug 15 2012 James Slagle <jslagle@redhat.com> 2.1.10-1
- 824940, finally fix proxy configuration for both pulp.conf and rhui-
  tools.conf (whayutin@redhat.com)

* Fri Aug 10 2012 James Slagle <jslagle@redhat.com> 2.1.9-1
- 842785 Only show unprotected repos associated with the CDS cluster you're
  working with during client configuration rpm creation. (jslagle@redhat.com)
- 842859 adding ssl_ca_cert to rhui-tools on upgrade (whayutin@redhat.com)
- Revert "842859, add default option for ssl ca cert" (whayutin@redhat.com)

* Fri Aug 03 2012 James Slagle <jslagle@redhat.com> 2.1.8-1
- 824940 proxy param names were incorrect in the rhua.py file
  (whayutin@redhat.com)
- 840005, missed one place where the pulp-api associates repos to cds's
  (whayutin@redhat.com)

* Wed Aug 01 2012 James Slagle <jslagle@redhat.com> 2.1.7-1
- 842827 Fix rpm macro usage (jslagle@redhat.com)
- 822637, fixing invalid repo in cli upload (whayutin@redhat.com)
- 822637 fixed in one place but not the other (whayutin@redhat.com)
- 844718, remove obsolete instructions for selecting repos for entitlement cert
  (whayutin@redhat.com)

* Mon Jul 30 2012 James Slagle <jslagle@redhat.com> 2.1.6-1
- 842859, add default option for ssl ca cert (whayutin@redhat.com)

* Fri Jul 27 2012 James Slagle <jslagle@redhat.com> 2.1.5-1
- Sort repos on repo list screen (jslagle@redhat.com)
- 842827 Support for custom repos with custom signed GPG content and RH signed
  GPG content (jslagle@redhat.com)
- added a message that indicates repos may not be associated if the entitlement
  is expired (whayutin@redhat.com)

* Tue Jul 17 2012 James Slagle <jslagle@redhat.com> 2.1.4-1
- Add comment that these files are unsupported (jslagle@redhat.com)

* Tue Jul 17 2012 James Slagle <jslagle@redhat.com> 2.1.3-1
- 840977 Do not automatically associate custom repos with CDS clusters
  (jslagle@redhat.com)
- added more cds screen tests (whayutin@redhat.com)
- cds_cluster unit tests now work w/ current implementation
  (whayutin@redhat.com)
- fixed cds screen unit tests, still some work to do here (whayutin@redhat.com)

* Mon Jul 16 2012 James Slagle <jslagle@redhat.com> 2.1.2-1
- 840005, remove the automatic association of repos with the first cds created
  (whayutin@redhat.com)

* Tue Jul 10 2012 James Slagle <jslagle@redhat.com> 2.1.1-1
- Install rhui-debug.py script under /usr/share (jslagle@redhat.com)
- Install sample puppet module under /usr/share (jslagle@redhat.com)
- Remove useless macro (jslagle@redhat.com)
- 838658, fixes issue where the incorrect repos are used when creating
  entitlement certificates (whayutin@redhat.com)

* Tue Jul 03 2012 James Slagle <jslagle@redhat.com> 2.0.68-1
- Substitute values for /etc/rhui/rhui-tools.conf separately from
  /etc/pulp/pulp.conf (jslagle@redhat.com)
- Set default version to 2.1 (jslagle@redhat.com)

* Tue Jul 03 2012 James Slagle <jslagle@redhat.com> 2.0.67-1
- 813072 this commit some how did not make it in (weshayutin@gmail.com)

* Mon Jul 02 2012 James Slagle <jslagle@redhat.com> 2.0.66-1
- 830624 Apply patch from Satoru SATOH <ssato@redhat.com> to remove dist from
  spec file for client config rpm's (jslagle@redhat.com)
- Add new config option to dev config file (jslagle@redhat.com)
- Update license to GPLv2+ (jslagle@redhat.com)
- bz 803379, updates that will add the correct configuration to rhui-config at
  install (weshayutin@gmail.com)
- 831188 Read path to server SSL certificate from rhui-tools.conf instead of
  prompting for it (jslagle@redhat.com)
- 752969 Also add step to progress report (jslagle@redhat.com)
- 752969 Add package download status to repo sync status screen
  (jslagle@redhat.com)
- UI fixes, make rpm dir configurable (jslagle@redhat.com)
- Add ability to specify a client hostname for a CDS. (jslagle@redhat.com)
- bz 825011, it seems for transparent proxies http is more often used than
  https, also removing trailing slash that causes sync to fail.
  (weshayutin@gmail.com)
- bz 704630, catch socket errors at login (whayutin@redhat.com)
- bz 811792, added help to custom repo creation for checksum type
  (whayutin@redhat.com)
- added a few unit tests for repo screen (weshayutin@gmail.com)
- bz # 803379 use rh-rhua and rh-cds spec files to update the hostname on the
  rhua and cds. (whayutin@redhat.com)
- updated sample answers file (whayutin@redhat.com)
- bz 808351, catch socket error on rhui-manager cli status
  (weshayutin@gmail.com)
- bz # 803377 (weshayutin@gmail.com)
- bz 815975, only change the last element in the path for
  (weshayutin@gmail.com)
- report repo_id not for rhui-manager packages list --repo_id
  (weshayutin@gmail.com)
- bz 809810, if add repo fails in rhui-manager, error out and repopulate list
  of available products (weshayutin@gmail.com)
- More unit tests for repo association (jslagle@redhat.com)
- Unit test base class fixes (jslagle@redhat.com)
- Sort cluster names, makes it easier to unit test (jslagle@redhat.com)
- Clean up usage of cds_repo sreen (jslagle@redhat.com)
- Remove previous code that did repo association with CDS's instead of clusters
  (jslagle@redhat.com)
- Add feature to associate/unassociate repositories to cds clusters
  (jslagle@redhat.com)
- Fix this test to work with mock 0.7.2 (jslagle@redhat.com)
- Initial unit test base class/framework for testing rhui-manager screens and a
  first test for the cds screen (jslagle@redhat.com)
- Properly end the shell and return if no CDS instances are registered
  (jslagle@redhat.com)
- Add cluster support to unregister cds (jslagle@redhat.com)
- Show cluster name on CDS sync screen (jslagle@redhat.com)
- Style fixes (jslagle@redhat.com)
- Implement edit cluster membership screen. (jslagle@redhat.com)
- Finish implementation of cds list (jslagle@redhat.com)
- Beginning support for CDS clusters (jslagle@redhat.com)
- Updates to README and dev setup (jslagle@redhat.com)
- Add files that make it easier to run rhui-manager from a git checkout
  (jslagle@redhat.com)
- Fix unit tests, allow setting of serial file during cert generation
  (jslagle@redhat.com)

* Mon Apr 30 2012 James Slagle <jslagle@redhat.com> 2.0.65-1
- Add rhs to valid urls for content certificates (jslagle@redhat.com)
* Fri Apr 13 2012 James Slagle <jslagle@redhat.com> 2.0.64-1
- 811991 Make proper use of return code (jslagle@redhat.com)

* Mon Apr 09 2012 James Slagle <jslagle@redhat.com> 2.0.63-1
- 809064 Error identity certificate creation on openssl error
  (jslagle@redhat.com)
- 809257 only upload a newly generated identity certificate to protected repos.
  (jslagle@redhat.com)

* Wed Mar 21 2012 James Slagle <jslagle@redhat.com> 2.0.62-1
- Fix bug in previous commit (jslagle@redhat.com)

* Wed Mar 21 2012 James Slagle <jslagle@redhat.com> 2.0.61-1
- 805046 All newly created repos should be set to skip distribution sync
  (jslagle@redhat.com)

* Wed Feb 29 2012 James Slagle <jslagle@redhat.com> 2.0.60-1
- Add eus cdn path to valid urls in a content cert (jslagle@redhat.com)

* Tue Feb 28 2012 James Slagle <jslagle@redhat.com> 2.0.59-1
- 796818 label qpid port for selinux as part of policy package, not rh-rhua-
  config (jslagle@redhat.com)
- 798000 - Mark /etc/rhui/rhui-tools.conf as %%config(noreplace)
  (jslagle@redhat.com)

* Mon Feb 27 2012 James Slagle <jslagle@redhat.com> 2.0.58-1
- 798000 - Mark /etc/rhui/rhui-tools.conf as %%config(noreplace)
  (jslagle@redhat.com)

* Wed Feb 22 2012 James Slagle <jslagle@redhat.com> 2.0.57-1
- 788497 Update any repo consumer bundles if the identity cert is regenerated
  on rhui-manager startup (jslagle@redhat.com)

* Mon Feb 20 2012 James Slagle <jslagle@redhat.com> 2.0.56-1
- 795484 Regnerate repo metadata after a package upload operation
  (jslagle@redhat.com)

* Fri Feb 10 2012 James Slagle <jslagle@redhat.com> 2.0.55-1
- 789054 disallow spaces in entitlement certificate name (jslagle@redhat.com)

* Thu Feb 09 2012 James Slagle <jslagle@redhat.com> 2.0.54-1
- 788113 Be specific in prompt that this requires the full path to the
  directory (jslagle@redhat.com)

* Mon Feb 06 2012 James Slagle <jslagle@redhat.com> 2.0.53-1
- 787719 Fix pulp repo api usage of query by group id (jslagle@redhat.com)

* Fri Feb 03 2012 James Slagle <jslagle@redhat.com> 2.0.52-1
- Check to make sure SELinux is enabled before labeling qpidd port
  (jslagle@redhat.com)
- Label port 5674 amqp_port_t during rh-rhua-config install
  (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 2.0.51-1
- Pulp api updates due to rebase (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 2.0.50-1
- Fix another reference to pulp.client.server (jslagle@redhat.com)

* Wed Feb 01 2012 James Slagle <jslagle@redhat.com> 2.0.49-1
- Fix another bad pulp import (jslagle@redhat.com)

* Wed Feb 01 2012 James Slagle <jslagle@redhat.com> 2.0.48-1
- Fix pulp import errors after rebasing to latest pulp (jslagle@redhat.com)

* Wed Feb 01 2012 James Slagle <jslagle@redhat.com> 2.0.47-1
- Update requires from pulp-client to pulp-consumer (jslagle@redhat.com)

* Mon Jan 30 2012 James Slagle <jslagle@redhat.com> 2.0.46-1
- 754428 Update prompt to indicate it will take a CA certificate or CA chain
  (jslagle@redhat.com)
- 757900, 757899 rhu-manager status command enhancements (jslagle@redhat.com)
- Subclasses of datetime.tzinfo that implement the dst method must return a
  timedelta object or None (jslagle@redhat.com)
- 722411 - Fixed incorrect recursion (jason.dobies@redhat.com)
- 707148 - Removed duplicate arguments for status (jason.dobies@redhat.com)
- 701881 - Log files will be kept until they reach 1MB after which they will
  be rotated. Two backups will be kept. (jason.dobies@redhat.com)

* Wed Jan 11 2012 James Slagle <jslagle@redhat.com> 2.0.45-1
- 773444 Add rhes to valid download url paths (jslagle@redhat.com)

* Mon Oct 17 2011 James Slagle <jslagle@redhat.com> 2.0.44-1
- 745954 Add a new screen in rhui-manager to regenerate the identity
  certificate and prompt for the number of days that it will be valid
  (jslagle@redhat.com)

* Tue Oct 11 2011 James Slagle <jslagle@redhat.com> 2.0.43-1
- 743327 - ensure auth=no in /etc/qpidd.conf (jortel@redhat.com)
- 737610 Also add latest CDS sync status to status command (jslagle@redhat.com)

* Wed Sep 21 2011 James Slagle <jslagle@redhat.com> 2.0.42-1
- 739918 - Changed default to localhost (jason.dobies@redhat.com)
- Made checksum type selectable for custom repos (jason.dobies@redhat.com)
- bz 737610 and bz 737693 Improve rhui-manager status command
  (jslagle@redhat.com)

* Tue Jul 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.41-1
- 720665 - Default the serial number to 100. This should alleviate any
  potential overlap in serial numbers if the same CA was used to sign the CDS
  SSL certificates. (jason.dobies@redhat.com)

* Fri Jul 15 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.40-1
- 722532 - Stronger parsing out of blank entries in listings
  (jason.dobies@redhat.com)

* Fri Jul 15 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.39-1
- Added more useful logging messages for when errors occur in listings
  translations (jason.dobies@redhat.com)

* Thu Jul 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.38-1
- 719911 - Only attempt to strip off the ks directory if it's there
  (jason.dobies@redhat.com)

* Fri Jul 08 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.37-1
- 716951 - Convert PKCS8 formatted keys to RSA when generating client
  entitlement and identity certificates (jason.dobies@redhat.com)

* Fri Jul 08 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.36-1
- 719954 - Need to delete the expired certificate on a failed server connection
  instead of just at startup in case the server's clock is different from the
  RHUI Manager's. In such a case, it's possible that RHUI will expect the
  certificate to be valid and thus not delete it and ask the user to log in
  again but the user will still be unable to perform any commands against the
  server. (jason.dobies@redhat.com)
- 719954 - The shell loop will now inspect connection-related exceptions to see
  if it represents an expired certificate. If it does, RHUI will exit. On
  startup, the certificate is checked for expiration and will delete the
  certificate if it is expired, forcing the user to log in again.
  (jason.dobies@redhat.com)
- 716966 - Cert manager is now aware of valid v. expired certificates. RHUI
  Manager will now only work with valid certificates for things like new repos
  or client entitlement certificates. Expired certificates are shown in the
  entitlements list. (jason.dobies@redhat.com)
- 719911 - Needed full path to pulp.conf (jason.dobies@redhat.com)

* Thu Jul 07 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.35-1
- 718282 - Fixed another python 2.4 incompatibility (jason.dobies@redhat.com)
- 719348 - Remove the kickstart directive entirely in the RHUA installation to
  prevent repositories with kickstart trees from being exposed over HTTP and
  thus not held to authentication requirements (jason.dobies@redhat.com)

* Fri Jul 01 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.34-1
- 718282 - Fixed python 2.4 incompatibility (jason.dobies@redhat.com)
- 709291 - Filter before generating the menu, that way the menu items directly
  correlate back to the filtered list. (jason.dobies@redhat.com)

* Thu Jun 23 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.33-1
- 708279 - Don't use createrepo at all in the RHUI world for Red Hat repos.
  (jason.dobies@redhat.com)
- 715308 - Properly catch abort when cancelling package upload.
  (jason.dobies@redhat.com)

* Wed Jun 22 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.32-1
- 715102 - Fixed incorrect spelling (jason.dobies@redhat.com)
- 715252 - Fixed identity cert generation for new API (jason.dobies@redhat.com)

* Tue Jun 21 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.31-1
- Reworked sync summary and added detailed view into last sync
  (jason.dobies@redhat.com)
- Fixed task logic to account for no next scheduled time on immediate syncs
  that have completed. Also dorked with rendering colored output in sync
  status. (jason.dobies@redhat.com)
- Big refactoring to sync reporting to use task persistence feature
  (jason.dobies@redhat.com)
- 709261 - Rather than guess at the entitlement used, we now store it as a
  group ID, so check there for exact matches. (jason.dobies@redhat.com)
- 711754 - The repo definitions for unprotected repos were incorrectly
  including certificates, so moved that stuff out of the template file and add
  it in the replacement step (jason.dobies@redhat.com)
- 706942 - Create serial number DB file when uploading the entitlement
  certificate and don't prompt for the serial number (jason.dobies@redhat.com)
- 707283 - Properly catch abort during add by repo selection
  (jason.dobies@redhat.com)
- 713316 - Fixed typo (jason.dobies@redhat.com)

* Tue Jun 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.30-1
- The header is no longer necessary (jason.dobies@redhat.com)

* Fri Jun 10 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.29-1
- Added timezone info to date formatting (jason.dobies@redhat.com)
- Added more useful error message when running without any content certificates
  (jason.dobies@redhat.com)
- Added option to force remove CDS instances if the first unregister fails
  (jason.dobies@redhat.com)
- Add entitlement info to repo to be used when updating a certificate
  (jason.dobies@redhat.com)
- Updated to pulp's new model of single cert/private key file
  (jason.dobies@redhat.com)
- Updated certificate CLI with new update semantics (jason.dobies@redhat.com)
- Fixed update server logic to pull certs on a per repo basis.
  (jason.dobies@redhat.com)
- Updated unit tests for new API. (jason.dobies@redhat.com)
- Use the cert manager to choose the correct cert based on entitlement when
  creating new repos (jason.dobies@redhat.com)
- 701438 - Fixed typo in repo CLI output (jason.dobies@redhat.com)
- Moved to a single file model for certificates (jason.dobies@redhat.com)
- Repo candidates now requires cert manager to list its entitlements
  (jason.dobies@redhat.com)
- Docs cleanup to """ format (jason.dobies@redhat.com)
- Added not used note so people aren't confused. (jason.dobies@redhat.com)
- Modified cert upload to use cert manager (jason.dobies@redhat.com)
- Added in creation and loading of certificate manager to the launcher and
  updated the entitlement display to account for multiple certificates.
  (jason.dobies@redhat.com)
- Added certificate manager to track and handle multiple content certificates
  (jason.dobies@redhat.com)
- Still need to populate a mirror list; I think this was committed by accident
  (jason.dobies@redhat.com)
- Lame logic error. (jason.dobies@redhat.com)
- Start time on new repo/cds syncs are now one interval length in the future.
  (jason.dobies@redhat.com)

* Sat Jun 04 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.28-1
- I remembered to add these to the client RPM spec, but not the tools RPM spec
  (jason.dobies@redhat.com)

* Sat Jun 04 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.27-1
- Updated yum plugin to use the ?members URL as a ping and update its local
  listings if they have changed. (jason.dobies@redhat.com)
- Preface all RHUI repos with rhui- so the load balancer yum plugin kicks in.
  (jason.dobies@redhat.com)
- Work towards CDS load balancing solution, including yum plugin
  (jason.dobies@redhat.com)
- 709994 - Need to clean up from a previous RHUA config RPM so we don't get
  duplicate entries on an upgrade. (jason.dobies@redhat.com)
- Added nss-tools as a requirement for the nss-db-gen script
  (jason.dobies@redhat.com)

* Wed Jun 01 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.26-1
- Added SSL CA certificate to installer process (jason.dobies@redhat.com)

* Tue May 24 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.25-1
- Change generated NSS certs to be valid for 12 months. (jortel@redhat.com)

* Tue May 24 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.24-1
- rhui: installer, messaging URL should be ssl:// (jortel@redhat.com)

* Fri May 20 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.23-1
- Added qpid SSL server dependency (jason.dobies@redhat.com)
- Fix line 59: [: i+1: integer expression expected (jortel@redhat.com)
- Fix nss [-12237] problem with SSL cert. (jortel@redhat.com)
- Added configurator calls to update QPID for SSL on the RHUA
  (jason.dobies@redhat.com)
- Added comments for qpid properties in sample answers file
  (jason.dobies@redhat.com)
- Added QPID configuration into the RHUA config RPMs (jason.dobies@redhat.com)
- Better organization for the CDS spec (jason.dobies@redhat.com)
- Added QPID SSL configuration for CDS configuration instances
  (jason.dobies@redhat.com)
- Added execute flags to scripts (jason.dobies@redhat.com)
- Removed ping check since CLI code changes break it (jason.dobies@redhat.com)
- Update /etc/qpidd.conf (jortel@redhat.com)
- Fixed issue in displaying info on non-protected custom repos and only show
  sync info for Red Hat repos (jason.dobies@redhat.com)
- Generate NSS database for QPID. (jortel@redhat.com)
- Updated tests for fixed configurator calls (jason.dobies@redhat.com)
- Added safeties to sync state rendering to debug the situation where it's
  coming back as None (jason.dobies@redhat.com)
- Updated with new feed URL format (no type) and date time format
  (jason.dobies@redhat.com)
- Missed one (jason.dobies@redhat.com)
- Fixed incorrect references to the configurator script
  (jason.dobies@redhat.com)
- When run from main, need to rip off the name of the script itself from the
  args (jason.dobies@redhat.com)
- Only pull in RPM files when adding a directory of RPMs.
  (jason.dobies@redhat.com)
- 697351 - Auxiliary key is no longer used (jason.dobies@redhat.com)
- 703110 - Changed incorrect access control checks (jason.dobies@redhat.com)
- 701794 - Corrected wording in menu select instructions
  (jason.dobies@redhat.com)
- Remove the temporary directory containing the spec file
  (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.22-1
- Fine, just leave the compiled python files in there.
  (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.18-1
- Remove extra compiled python files that shouldn't be there. Added missing
  answers.sample file to files list. (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.17-1
- Added launcher and rhui-install bin script (jason.dobies@redhat.com)
- Added answers file engine (jason.dobies@redhat.com)

* Tue Apr 26 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.16-1
- 698582 - Changed output for next sync in the case where the sync is running
  (jason.dobies@redhat.com)

* Mon Apr 18 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.15-1
- Split up listing repos by red hat v. custom (jason.dobies@redhat.com)
- Added sync state coloring to trigger sync menu (jason.dobies@redhat.com)
- Initialize the prompt to output the specified normal color
  (jason.dobies@redhat.com)
- Removed schedule information, just leave this as an UP/DOWN thing
  (jason.dobies@redhat.com)
- Added command line support for the RHUI status (jason.dobies@redhat.com)
- Added note about deleting repos on a CDS unregister (jason.dobies@redhat.com)
- Added hook to invalidate Red Hat translated repos on a cert upload
  (jason.dobies@redhat.com)
- Made refresh time on sync status configurable in case the users want to
  reduce network traffic (jason.dobies@redhat.com)
- Fixed bad logic on the relevant task detection (jason.dobies@redhat.com)
- Trying to get around errors when exiting out of the sync display screens
  (jason.dobies@redhat.com)
- Fixed broken permissions check (jason.dobies@redhat.com)
- Added color output to status screens (jason.dobies@redhat.com)
- Added CDS heartbeat state to CDS sync/status screen (jason.dobies@redhat.com)

* Mon Apr 18 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.14-1
- Fixed incorrect repo sync frequency config lookup (jason.dobies@redhat.com)

* Fri Apr 15 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.13-1
- Wired up CDS sync schedules (jason.dobies@redhat.com)
- Extracted out relevant task detection and added it for CDS syncs
  (jason.dobies@redhat.com)
- Reenabled repo scheduling and cleaned up next sync format
  (jason.dobies@redhat.com)
- Made builder list configurable. Added tito command for building to the pulp
  rhui directory on axiom. (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.12-1
- I need some sleep. (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.11-1
- Let's try that again (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.10-1
- Fixed error in build script copying (jason.dobies@redhat.com)
- This feels much cleaner (jason.dobies@redhat.com)
- Only display shell triggers on help menu (jason.dobies@redhat.com)

* Thu Apr 14 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.9-1
- Added logout to remove auth credentials and exit (jason.dobies@redhat.com)
- Added identity cert generation and entitlement CA detection to launch checks.
  (jason.dobies@redhat.com)
- Added check to make sure the entitlement signing cert is present before
  running. (jason.dobies@redhat.com)
- Don't prompt the user to selected unprotected repos if there are none
  (jason.dobies@redhat.com)
- Added CDS sync ability (jason.dobies@redhat.com)
- Changes handling of sync/schedule display. Added in identity cert for repo
  creation (still need to clean that up). (jason.dobies@redhat.com)

* Wed Apr 13 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.8-1
- Removed explicit unassociate/sync logic; this is now handled automatically on
  the CDS when it receives the unregister call. (jason.dobies@redhat.com)
- Make the certs directory on install (jason.dobies@redhat.com)
- Changed CDS unregister workflow to unassociate repos and sync first.
  (jason.dobies@redhat.com)
- Added username/password support at the CLI level (jason.dobies@redhat.com)
- Auth credentials are now stored on a per-server basis, allowing on rhui-tools
  to control multiple servers. (jason.dobies@redhat.com)
- Added keyboard interrupt trap to login in case the user pressed ctrl+c
  (jason.dobies@redhat.com)
- Added regular expression checking for valid custom repo IDs.
  (jason.dobies@redhat.com)
- Added small package filtering ability. (jason.dobies@redhat.com)
- Added abillity to list all packages at the CLI level, regardless of number of
  packages (jason.dobies@redhat.com)

* Wed Apr 13 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.7-1
- Corrected old link to original shell project code. (jason.dobies@redhat.com)

* Tue Apr 12 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.6-1
- Renamed rhui-tools to rhui-manager (jason.dobies@redhat.com)

* Tue Apr 12 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.5-1
- Big changes; another QE build
* Mon Apr 11 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.4-1
- Interim build with lots of fixes/changes
* Mon Apr 11 2011 Jay Dobies <jason.dobies@redhat.com> 2.0.3-1
- Trying to fix the fact that there is no RHUI source installed from the RPM.
  (jason.dobies@redhat.com)

